Ubuntu Host: "All indexers are unavailable due to failures" ~10mins after starting Sonarr

Ubuntu 18 server…

Version 2.0.0.5338
Mono Version 4.6.2
AppData directory /var/lib/nzbdrone/.config/NzbDrone
Startup directory /opt/NzbDrone

Problem: Until the most recent upgrade everything worked fine. After the upgrade about ~10mins after Sonarr starts up it states “All indexers are unavailable due to failures”.

During the first 10mins, new nzbs are searched and retrieved (in combination with nzbget). After this log message appears, nothing works anymore. The “Test” option in Sonarr seems to sometimes timeout, sometimes work.

Seems very similar to this problem: "All indexers are unavailable due to failures" help

WWW access from the machine running sonarr is always working and the nzb HTTPS URL that is used by Sonarr in the logs is reachable. It feels like it’s the Sonarr application web-access or DNS that is having the issue.

Example Sonarr Logs:
SceneMappingService Updating Scene mappings 08:34
RssSyncService RSS Sync Completed. Reports found: 0, Reports grabbed: 0 08:31
DownloadDecisionMaker No results found 08:31
FetchAndParseRssService No available indexers. check your configuration. 08:31
RssSyncService Starting RSS Sync 08:31
RssSyncService RSS Sync Completed. Reports found: 0, Reports grabbed: 0 08:01
DownloadDecisionMaker No results found 08:01
FetchAndParseRssService No available indexers. check your configuration. 08:01
RssSyncService Starting RSS Sync 08:01
DownloadMonitoringService Unable to retrieve queue and history items from nzbget1: Cannot access a disposed object. Object name: ‘System.Net.Sockets.NetworkStream’.

Questions:

  • Is it possible to downgrade to earlier Sonarr release on Ubuntu system?

Start with upgrading mono, 4.6.2 is quite old at this point, 5.20 is the latest you should use (don’t use 6.0), otherwise use 5.12 and above.

Thanks. I followed this guide which took Mono from 4 to 6 on U18.04:
https://www.mono-project.com/download/stable/#download-lin-ubuntu

I still see same error after restarting Sonarr.

Any idea how I might specify only use 5.x in Ubuntu?

At this point you’ll need to downgrade, which others have discussed here: Permission issues after Mono 6 upgrade

Yeah, I can’t seem to downgrade from 6 now… and purging mono and removing the custom sources.list (use default version for U18.04). Then re-installing sonarr has ended up with Mono v6 again. Unclear how I can resolve this now.

I just noticed the downgrade instructions were in that thread. I did get back to Mono 4, purge and then followed these instructions, and using Mono 5 followed by nzbdrone… and it now seems to have fixed the problem and Sonarr has resumed working.

Version 2.0.0.5338
Mono Version 5.20.1.34
AppData directory /var/lib/nzbdrone/.config/NzbDrone
Startup directory /opt/NzbDrone

Spoke too soon… after ~10mins same error came back after ~3-4 nzbs were downloaded.

If you’re using Rargb, it seems to have been up and down recently.

Not using Rargb. Still have the same three errors reported by Sonar.

All indexers are unavailable due to failures
All search-capable indexers are temporarily unavailable due to recent indexer errors
All rss-capable indexers are temporarily unavailable due to recent indexer errors

Manually calling the indexer’s URLs that Sonar composes from the command works fine.

Any more suggestions?